MxQuery (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MxQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxQuery

    java.lang.Object
      org.hyperic.hq.product.jmx.MxQuery

Direct Known Subclasses:
  MxServerQuery, MxServiceQuery

    public abstract class MxQuery

extends java.lang.Object

Field Summary
`protected static java.util.Properties` | `EMPTY_PROPERTIES`
`protected static org.apache.commons.logging.Log` | `log`
`protected javax.management.ObjectName` | `objectName`
`static java.lang.String` | `PROP_ATTRIBUTE_NAME`
`static java.lang.String` | `PROP_MBEAN_CLASS`
`static java.lang.String` | `PROP_OBJECT_NAME`
`static java.lang.String` | `PROP_OBJECT_NAME_FILTER`

Constructor Summary
`MxQuery()`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String name)`
`java.lang.String` | `getAttribute(java.lang.String name, java.lang.String defval)`
`java.lang.String[]` | `getAttributeNames()`
`void` | `getAttributes(javax.management.MBeanServerConnection mServer)`
`void` | `getAttributes(javax.management.MBeanServerConnection mServer, javax.management.ObjectName name, java.lang.String[] attrs)`
`java.util.Properties` | `getControlConfig()`
`java.util.Properties` | `getCustomProperties()`
`abstract java.lang.String` | `getIdentifier()`
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName()`
`MxQuery` | `getParent()`
`abstract java.lang.String` | `getQualifiedName()`
`java.util.Properties` | `getResourceConfig()`
`abstract java.lang.String` | `getResourceType()`
`ServerDetector` | `getServerDetector()`
`java.lang.String` | `getURL()`
`boolean` | `hasControl()`
`void` | `initialize()`
`void` | `setAttribute(java.lang.String name, java.lang.String val)`
`void` | `setName(java.lang.String name)`
`void` | `setServerDetector(ServerDetector detector)`
`void` | `setURL(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_OBJECT_NAME

    public static final java.lang.String PROP_OBJECT_NAME

See Also:
  Constant Field Values

### PROP_ATTRIBUTE_NAME

    public static final java.lang.String PROP_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### PROP_MBEAN_CLASS

    public static final java.lang.String PROP_MBEAN_CLASS

See Also:
  Constant Field Values

### PROP_OBJECT_NAME_FILTER

    public static final java.lang.String PROP_OBJECT_NAME_FILTER

See Also:
  Constant Field Values

### EMPTY_PROPERTIES

    protected static final java.util.Properties EMPTY_PROPERTIES

### log

    protected static final org.apache.commons.logging.Log log

### objectName

    protected javax.management.ObjectName objectName

Constructor Detail

### MxQuery

    public MxQuery()

Method Detail

### initialize

    public void initialize()

### getObjectName

    public javax.management.ObjectName getObjectName()

### getCustomProperties

    public java.util.Properties getCustomProperties()

### getAttributeNames

    public java.lang.String[] getAttributeNames()

### getAttributes

    public void getAttributes(javax.management.MBeanServerConnection mServer)
                       throws PluginException

  Throws:
    `PluginException`

### setURL

    public void setURL(java.lang.String url)

### getURL

    public java.lang.String getURL()

### setServerDetector

    public void setServerDetector(ServerDetector detector)

### getServerDetector

    public ServerDetector getServerDetector()

### getAttributes

    public void getAttributes(javax.management.MBeanServerConnection mServer,
                              javax.management.ObjectName name,
                              java.lang.String[] attrs)
                       throws PluginException

  Throws:
    `PluginException`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

### getAttribute

    public java.lang.String getAttribute(java.lang.String name,
                                         java.lang.String defval)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String val)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getQualifiedName

    public abstract java.lang.String getQualifiedName()

### getResourceType

    public abstract java.lang.String getResourceType()

### getIdentifier

    public abstract java.lang.String getIdentifier()

### getParent

    public MxQuery getParent()

### hasControl

    public boolean hasControl()

### getResourceConfig

    public java.util.Properties getResourceConfig()

### getControlConfig

    public java.util.Properties getControlConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.